summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-11-29 10:57:32 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-11-29 13:18:39 +0100
commit5fc651a8de902683da5110c2265c31b0e9feff54 (patch)
tree36ed039a4483055b44f90bb2672b51f2d0347fbe /net-libs
parentnet-libs/ignition-msgs: initial import; ebuild by me (diff)
downloadgentoo-5fc651a8de902683da5110c2265c31b0e9feff54.tar.gz
gentoo-5fc651a8de902683da5110c2265c31b0e9feff54.tar.bz2
gentoo-5fc651a8de902683da5110c2265c31b0e9feff54.zip
net-libs/ignition-transport: add ignition-transport2 in a new slot
Package-Manager: portage-2.3.2
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/ignition-transport/Manifest1
-rw-r--r--net-libs/ignition-transport/ignition-transport-2.1.0.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/net-libs/ignition-transport/Manifest b/net-libs/ignition-transport/Manifest
index f853a6309ff..7e682c898d8 100644
--- a/net-libs/ignition-transport/Manifest
+++ b/net-libs/ignition-transport/Manifest
@@ -1 +1,2 @@
DIST ignition-transport-1.4.0.tar.bz2 349098 SHA256 bc612e9781f9cab81cc4111ed0de07c4838303f67c25bc8b663d394b40a8f5d4 SHA512 23f1d1b6982441786a764f902a849d8466943c457a989638ab5d57e936c9a0d4bab324d60c8d7190e40ecc153736d55cf903df6a57cb2cbbda86bbe79ba1055d WHIRLPOOL 6b019c025bc41ad6e7f3e94f220767a652442a05678718f5e686c71f1e2ed30be60f16fb29cfd8df976d87827647f74b3b8664aeea319cb68e44802fbd9f81fa
+DIST ignition-transport2-2.1.0.tar.bz2 372107 SHA256 f1190ee6a880962b9083328efcaf4c8fe4e9f00504da4432cde69820edbc212e SHA512 91aa6dc60db69b6c2fe0f694ef7d0fc91d68bbc55c227039bc9d42833106be05df1e92c6fe97f530e645c358fb073bb449243b03aa16c61917df374c21c45da2 WHIRLPOOL 9b993e5eb3da931014cd229b261fdb901d852ee0b6358e440e127759a5b116f8637c64129d7f102c280a9be10053a2e1611c77b5e03d5031fbfdde6c42d31e2b
diff --git a/net-libs/ignition-transport/ignition-transport-2.1.0.ebuild b/net-libs/ignition-transport/ignition-transport-2.1.0.ebuild
new file mode 100644
index 00000000000..4fecd4cb554
--- /dev/null
+++ b/net-libs/ignition-transport/ignition-transport-2.1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils vcs-snapshot flag-o-matic
+
+DESCRIPTION="Combines ZeroMQ with Protobufs to create a fast and efficient message passing system"
+HOMEPAGE="http://ignitionrobotics.org/libraries/transport"
+SRC_URI="http://gazebosim.org/distributions/ign-transport/releases/${PN}2-${PV}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="2/0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+ net-libs/ignition-msgs:=
+ dev-libs/protobuf:=
+ >=net-libs/zeromq-3.2.0:=
+ sys-apps/util-linux
+ net-libs/cppzmq
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+ virtual/pkgconfig"
+CMAKE_BUILD_TYPE=RelWithDebInfo
+PATCHES=( "${FILESDIR}/protobuf3.patch" )
+S="${WORKDIR}/${PN}2-${PV}"
+
+src_configure() {
+ # upstream appends this conditionally...
+ append-flags "-fPIC"
+ echo "set (CMAKE_C_FLAGS_ALL \"${CXXFLAGS} \${CMAKE_C_FLAGS_ALL}\")" > "${S}/cmake/HostCFlags.cmake"
+ sed -i -e "s/LINK_FLAGS_RELWITHDEBINFO \" \"/LINK_FLAGS_RELWITHDEBINFO \" ${LDFLAGS} \"/" cmake/DefaultCFlags.cmake || die
+ cmake-utils_src_configure
+}